/*
 * Copyright 2010-2011 Ning, Inc.
 *
 * Ning licenses this file to you under the Apache License, version 2.0
 * (the "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at:
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

package com.ning.billing.util.config;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

import com.ning.billing.util.config.catalog.ValidatingConfig;
import com.ning.billing.util.config.catalog.ValidationErrors;

@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class XmlTestClass extends ValidatingConfig<XmlTestClass> {
    private String foo;
    private Double bar;
    private int lala;

    public String getFoo() {
        return foo;
    }

    public Double getBar() {
        return bar;
    }

    public int getLala() {
        return lala;
    }

    @Override
    public ValidationErrors validate(final XmlTestClass root, final ValidationErrors errors) {
        return errors;
    }
}
